<?php
/*!
 * Plugin constants.
 *
 * @since 1.0.0
 *
 * @package    Directly Import
 * @subpackage Constants
 */

if (!defined('ABSPATH'))
{
	exit;
}

/**
 * Class used to implement plugin constants.
 *
 * @since 1.0.0
 */
final class Directly_Import_Constants
{
	/**
	 * Plugin prefixes.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	const PREFIX = 'diim_';

	/**
	 * Plugin token.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	const TOKEN = 'directly_import';

	/**
	 * Plugin version.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	const VERSION = '1.0.0';

	/**
	 * Plugin option names.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	const OPTION_SETTINGS = self::TOKEN . '_settings';
	const OPTION_SITES = self::TOKEN . '_sites';
	const OPTION_VERSION = self::TOKEN . '_version';

	/**
	 * Plugin setting names.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	const SETTING_DELETE_SETTINGS = 'delete_settings';
	const SETTING_UNCONFIRMED = '_unconfirmed';
	
	/**
	 * Plugin hook prefix.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	const HOOK_POST_META = self::PREFIX . 'post_meta_';
	
	/**
	 * Plugin hook names.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	const HOOK_IMPORT_POST_TYPE = self::PREFIX . 'import_post_type';
	const HOOK_POST_META_CONTAIN_HTML = self::HOOK_POST_META . 'contains_html';
	const HOOK_POST_META_CONTAIN_URLS = self::HOOK_POST_META . 'contains_urls';
	const HOOK_POST_META_IGNORE = self::HOOK_POST_META . 'ignore';
	const HOOK_POST_META_POST_IDS = self::HOOK_POST_META . 'post_ids';
	const HOOK_POST_META_TERM_IDS = self::HOOK_POST_META . 'term_ids';
	const HOOK_POST_META_USER_IDS = self::HOOK_POST_META . 'user_ids';
	
	/**
	 * Plugin notice classes.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	const NOTICE = 'notice-';
	const NOTICE_ERROR = self::NOTICE . 'error';
	const NOTICE_INFO = self::NOTICE . 'info';
	const NOTICE_SUCCESS = self::NOTICE . 'success';
	const NOTICE_WARNING = self::NOTICE . 'warning';
	
	/**
	 * Plugin URLs.
	 *
	 * @since 1.0.0
	 *
	 * @var string
	 */
	const URL_BASE = 'https://directlyimport.com/';
	const URL_DONATE = 'https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=AV87A7YV9FWUY&source=url';
	const URL_KB = self::URL_BASE . 'kb/';
	const URL_SUPPORT = 'https://wordpress.org/support/plugin/directly-import/';
	const URL_REVIEW = self::URL_SUPPORT . 'reviews/?rate=5#new-post';
	const URL_TRANSLATE = 'https://translate.wordpress.org/projects/wp-plugins/directly-import';
}
