<?php
/*!
 * Plugin setup functionality.
 *
 * @since 1.0.0
 *
 * @package    Directly Import
 * @subpackage Setup
 */

if (!defined('ABSPATH'))
{
	exit;
}

/**
 * Class used to implement the setup functionality.
 *
 * @since 1.0.0
 */
final class Directly_Import_Setup
{
	/**
	 * Plugin activation hook.
	 *
	 * @since 1.0.0
	 *
	 * @access public static
	 * @return void
	 */
	public static function activate()
	{
		//Nothing to see here.
	}
	
	/**
	 * Plugin deactivation hook.
	 *
	 * @since 1.0.0
	 *
	 * @access public static
	 * @return void
	 */
	public static function deactivate()
	{
		flush_rewrite_rules(false);
	}

	/**
	 * Check and update the plugin version.
	 *
	 * @since 1.0.0
	 *
	 * @access public static
	 * @return void
	 */
	public static function check_version()
	{
		$current_version = get_option(Directly_Import_Constants::OPTION_VERSION);

		if (empty($current_version))
		{
			add_option(Directly_Import_Constants::OPTION_VERSION, Directly_Import_Constants::VERSION);
		}
		else if ($current_version != Directly_Import_Constants::VERSION)
		{
			update_option(Directly_Import_Constants::OPTION_VERSION, Directly_Import_Constants::VERSION);
		}
	}
}
